<?php
/**
 * 唤起支付
 * User: liuyuzhen
 * Date: 2018/7/3
 * Time: 9:40
 * Description:
 */

class PaymentController extends \Our\Controller_AbstractApi{

    public function indexAction(){
        $data = $this->req[\Our\NameConst::data];
        $paymentService = \Business\Order\PaymentServiceModel::getInstance();
        $charge = $paymentService->charge($data,$this->memberId);
        $this->success($charge);
    }

    public function getOrderPayStatusAction(){
        $data = $this->req[\Our\NameConst::data];
        $paymentService = \Business\Order\PaymentServiceModel::getInstance();
        $result = $paymentService->getOrderPayStatus($data,$this->memberId);
        $this->success($result);
    }
}